USB_DEVICE_STATUS_Type Union Reference

## Data Fields

struct {
uint8_t __pad0__:2
uint8_t SPEED:2
uint8_t __pad1__:2
uint8_t LINESTATE:2
} | bit
uint8_t | reg

## Detailed Description

Definition at line 274 of file usb.h.

## Field Documentation

## __pad0__

uint8_t USB_DEVICE_STATUS_Type::__pad0__

bit: 0.. 1 Reserved

Definition at line 276 of file usb.h.

## __pad1__

uint8_t USB_DEVICE_STATUS_Type::__pad1__

bit: 4.. 5 Reserved

Definition at line 278 of file usb.h.

## bit

struct { ... } USB_DEVICE_STATUS_Type::bit

Structure used for bit access

## LINESTATE

uint8_t USB_DEVICE_STATUS_Type::LINESTATE

bit: 6.. 7 USB Line State Status

Definition at line 279 of file usb.h.

## reg

uint8_t USB_DEVICE_STATUS_Type::reg

Type used for register access

Definition at line 281 of file usb.h.

## SPEED

uint8_t USB_DEVICE_STATUS_Type::SPEED

bit: 2.. 3 Speed Status

Definition at line 277 of file usb.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/usb.h